AurionAI Docs

Get Action Options

Aggregate all action configuration options for the workflow builder. Returns statuses, priorities, agents, teams, tags, custom fields, published workflows, notification templates, and categories.

GET
/api/v2/workflows/action-options

Aggregate all action configuration options for the workflow builder.

Returns statuses, priorities, agents, teams, tags, custom fields, published workflows, notification templates, and categories.

Authorization

AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://loading/api/v2/workflows/action-options"
{
  "agents": [
    {
      "label": "string",
      "value": "string"
    }
  ],
  "categories": [
    {
      "label": "string",
      "value": "string"
    }
  ],
  "custom_fields": [
    {
      "label": "string",
      "value": "string"
    }
  ],
  "notification_templates": [
    {
      "label": "string",
      "value": "string"
    }
  ],
  "priorities": [
    {
      "label": "string",
      "value": "string"
    }
  ],
  "published_workflows": [
    {
      "label": "string",
      "value": "string"
    }
  ],
  "statuses": [
    {
      "label": "string",
      "value": "string"
    }
  ],
  "tags": [
    "string"
  ],
  "teams": [
    {
      "label": "string",
      "value": "string"
    }
  ]
}